|  | Home · All Classes · Modules

# QNetworkConfigurationManager.Capabilities Class Reference
[QtNetwork module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, Capabilities)

### Special Methods

- Capabilities __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, Capabilities f)
- Capabilities __iand__ (self, int f)
- int __int__ (self)
- Capabilities __invert__ (self)
- Capabilities __ior__ (self, int f)
- Capabilities __ixor__ (self, int f)
- bool __ne__ (self, Capabilities f)
- Capabilities __or__ (self, int f)
- Capabilities __xor__ (self, int f)

## Detailed Description

## Method Documentation

### Capabilities.__init__ (self)

### Capabilities.__init__ (self, int f)

### Capabilities.__init__ (self, Capabilities)

### Capabilities Capabilities.__and__ (self, int f)

### int Capabilities.__bool__ (self)

### bool Capabilities.__eq__ (self, Capabilities f)

### Capabilities Capabilities.__iand__ (self, int f)

### int Capabilities.__int__ (self)

### Capabilities Capabilities.__invert__ (self)

### Capabilities Capabilities.__ior__ (self, int f)

### Capabilities Capabilities.__ixor__ (self, int f)

### bool Capabilities.__ne__ (self, Capabilities f)

### Capabilities Capabilities.__or__ (self, int f)

### Capabilities Capabilities.__xor__ (self, int f)